/**
 * Copyright (C) 2010-2013 Jakub Skokan <aither@havefun.cz>
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3
 * as published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
#if defined _hf_api_included
	#endinput
#endif

#define _hf_api_included

#define HF_VERSION "0.1.0"
#define HF_TZ "Europe/Prague"
#define HF_WEB_URL "dod.havefun.cz"

// Called when player is authenticated - has assigned Player object
forward hf_player_authenticated(id, db_id)

// Called when player changes name and is reauthenticated
forward hf_player_changed(id, db_id)

// Called when authenticated player disconnects
forward hf_player_disconnected(id, db_id)

native hf_get_player_userid(id)
